Back to Docs
API v1.0
⚡

BulkScan Traffic API Gateway

A high-performance RESTful API gateway designed for Partners and Third-Party Platforms to automate website traffic intelligence, audience engagement, rankings, and traffic sources at scale.

API Specifications

Production Base URL https://bulkscan.io
Authentication Header X-API-Key: bk_live_...
Rate Limit 1 request / 1 second per key
Credit Deduction 1 credit per resolved domain

Authentication

All requests must include the X-API-Key header. Your API Key is linked directly to your BulkScan Partner account and shares your traffic subscription balance atomically.

curl -X GET "https://bulkscan.io/api/v1/traffic/credits" \
  -H "X-API-Key: bk_live_xxxxxxxxxxxxxxxxxxxxxxxx"